package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 作业任务数据来源信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_TASK_SRC")
@Api("作业任务表")
public class WmsTaskSrc extends BaseBean {

    @Column(name="OP_TYPE_CODE")
    @ApiParam("作业类型编号")
    public String opTypeCode;

    @Column(name="ORDER_TYPE")
    @ApiParam("业务类型")
    public String orderType;

    @Column(name="DATA_SRC")
    @ApiParam("数据来源")
    public String dataSrc;
}
